<?php

/*
 * Copyright (c) Alexandre Gomes Gaigalas <alganet@gmail.com>
 * SPDX-License-Identifier: MIT
 */

declare(strict_types=1);

namespace Respect\Validation\Exceptions;

/**
 * @author Alexandre Gomes Gaigalas <alganet@gmail.com>
 * @author Henrique Moody <henriquemoody@gmail.com>
 */
final class BetweenException extends NestedValidationException
{
    /**
     * {@inheritDoc}
     */
    protected $defaultTemplates = [
        self::MODE_DEFAULT => [
            self::STANDARD => '{{name}} 必须介于 {{minValue}} 和 {{maxValue}} 之间',
        ],
        self::MODE_NEGATIVE => [
            self::STANDARD => '{{name}} 不能介于 {{minValue}} 和 {{maxValue}} 之间',
        ],
    ];
}
